plot "mega-l298.dat" using 1:2 title "122 Hz", "mega-l298.dat" using 1:3 title "490 Hz", "mega-l298.dat" using 1:4 title "3921 Hz", "mega-l298.dat" using 1:5 title "31372 Hz"
set style data linespoints
set title "Arduino MEGA + L298P : Volts vs PWM frequency"
set xlabel "PWM"
set ylabel "Volt"
set xrange [0:255]
set yrange [0:25]
set pointsize 2
set out "mega-l298.ps"
set terminal postscript landscape color 20
replot
quit